> ## Documentation Index
> Fetch the complete documentation index at: https://docs-vnext.kiflo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Convert lead to deal

> Convert a lead to a deal and set its status to Converted



## OpenAPI

````yaml /openapi.json post /v3/leads/{id}/convert/deal
openapi: 3.0.1
info:
  title: Kiflo Public API v3
  description: "The Kiflo API allows you to have control over your integration and create the best experiences.\r\n\r\n***\r\n\r\n## Format\r\n\r\nThe API follows the REST standard using JSON to format requests and responses.  \r\nDecimals are formatted using invariant culture, ie: using \".\" (dot) as a decimal sperator and no thousands separator.  \r\nDates are formatted using ISO standards, in UTC format, including the timezone. Ex:  2015-03-25T12:00:00Z\r\n\r\n***\r\n\r\n## Security\r\n\r\nThe API is secured using an API token.\r\n\r\n**How to generate an API Access Token**  \r\n 1. Open your [account settings page](https://app.kiflo.com/account/integration)\r\n 2. Go to the \"API Access Token\" section\r\n 3. Click \"Add\" button\r\n 4. Choose a name that will be used to identify the token and click \"Add\"\r\n 4. Copy the generate token\r\n   \r\n> **Note:** For security reason, the generated API Access Token won't be visible after you close the settings page. Be sure to copy the generated token otherwise you won't be able to get it later.\r\n  \r\n**How to authenticate on the API**  \r\n  \r\nTo authenticate on the API, send the generated token in the Authorization header using the Bearer scheme:  \r\n`Authorization: Bearer #YOUR_GENERATED_TOKEN_HERE#`\r\n"
  version: v3
servers: []
security: []
paths:
  /v3/leads/{id}/convert/deal:
    post:
      tags:
        - Leads
      summary: Convert lead to deal
      description: Convert a lead to a deal and set its status to Converted
      parameters:
        - name: id
          in: path
          description: The ID of the lead to convert to deal.
          required: true
          schema:
            type: integer
            format: int32
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/LeadConvertToDealRequestDto'
          application/json:
            schema:
              $ref: '#/components/schemas/LeadConvertToDealRequestDto'
          text/json:
            schema:
              $ref: '#/components/schemas/LeadConvertToDealRequestDto'
          application/*+json:
            schema:
              $ref: '#/components/schemas/LeadConvertToDealRequestDto'
      responses:
        '200':
          description: Lead converted to deal
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LeadDto'
        '404':
          description: Lead not found
      security:
        - oauth2:
            - Lead.Convert
            - Deal.Create
            - Api
components:
  schemas:
    LeadConvertToDealRequestDto:
      type: object
      properties:
        contact:
          $ref: '#/components/schemas/LeadConvertToDealContactRequestDto'
        deal:
          $ref: '#/components/schemas/LeadConvertToDealDealRequestDto'
        associateNotes:
          type: boolean
        associateAttachments:
          type: boolean
        associateMeetings:
          type: boolean
      additionalProperties: false
    LeadDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        creationDate:
          type: string
          format: date-time
        properties:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
        partnerId:
          type: integer
          format: int32
          nullable: true
        sourcePartnerId:
          type: integer
          format: int32
          nullable: true
        userPartnerOwnerId:
          type: integer
          format: int32
          nullable: true
        dealId:
          type: integer
          format: int32
          nullable: true
        customerId:
          type: integer
          format: int32
          nullable: true
        deadLine:
          type: string
          format: date-time
          nullable: true
        assignedDate:
          type: string
          format: date-time
          nullable: true
        acceptedDate:
          type: string
          format: date-time
          nullable: true
        refusedDate:
          type: string
          format: date-time
          nullable: true
        convertedDate:
          type: string
          format: date-time
          nullable: true
        abandonedDate:
          type: string
          format: date-time
          nullable: true
        status:
          $ref: '#/components/schemas/LeadStatus'
        partnerName:
          type: string
          nullable: true
        dealName:
          type: string
          nullable: true
        customerName:
          type: string
          nullable: true
        source:
          $ref: '#/components/schemas/DataSource'
        transferredLeadId:
          type: integer
          format: int32
          nullable: true
        currency:
          type: string
          nullable: true
        ownerUserId:
          type: integer
          format: int32
          nullable: true
        owner:
          $ref: '#/components/schemas/UserDto'
      additionalProperties: false
    LeadConvertToDealContactRequestDto:
      type: object
      properties:
        properties:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
      additionalProperties: false
    LeadConvertToDealDealRequestDto:
      type: object
      properties:
        properties:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
      additionalProperties: false
    LeadStatus:
      enum:
        - Unknown
        - Unassigned
        - Pending
        - Accepted
        - Refused
        - Reassigned
        - Converted
        - Abandoned
      type: string
    DataSource:
      enum:
        - Unknown
        - Website
        - Partner
        - Api
        - Zapier
        - Tenant
        - System
        - HubSpot
        - Stripe
        - PartnerDirectory
      type: string
    UserDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        email:
          type: string
          nullable: true
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
      additionalProperties: false

````